com.smartgwt.client.widgets.tree.events

## Class NodeContextClickEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<H>
      - - com.smartgwt.client.widgets.events.BrowserEvent<NodeContextClickHandler>
        - - com.smartgwt.client.widgets.tree.events.NodeContextClickEvent

- All Implemented Interfaces:
    Cancellable

      public class NodeContextClickEvent
      extends BrowserEvent<NodeContextClickHandler>
      implements Cancellable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeContextClickEvent(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Calling this method cancels the event
    `protected void` | `dispatch(NodeContextClickHandler handler)`
    `static <S extends HasNodeContextClickHandlers & com.google.gwt.event.shared.HasHandlers> void` | `fire(S source, com.google.gwt.core.client.JavaScriptObject jsObj)` Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `com.google.gwt.event.shared.GwtEvent.Type<NodeContextClickHandler>` | `getAssociatedType()`
    `TreeNode` | `getNode()` The node (record) on which the contextclick occurred.
    `int` | `getRecordNum()` Index of the row where the contextclick occurred.
    `static com.google.gwt.event.shared.GwtEvent.Type<NodeContextClickHandler>` | `getType()` Gets the type associated with this event.
    `TreeGrid` | `getViewer()` The TreeGrid on which the contextclick occurred.
    `boolean` | `isCancelled()`

    - ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

      `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeContextClickEvent

          public NodeContextClickEvent(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### fire

          public static <S extends HasNodeContextClickHandlers & com.google.gwt.event.shared.HasHandlers> void fire(S source,
                                                                                                   com.google.gwt.core.client.JavaScriptObject jsObj)

      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static com.google.gwt.event.shared.GwtEvent.Type<NodeContextClickHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(NodeContextClickHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<NodeContextClickHandler>`

    - #### getAssociatedType

          public final com.google.gwt.event.shared.GwtEvent.Type<NodeContextClickHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<NodeContextClickHandler>`

    - #### cancel

          public void cancel()

      Calling this method cancels the event
      Specified by:
        `cancel` in interface `Cancellable`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `Cancellable`
      Returns:
        true if cancelled

    - #### getViewer

          public TreeGrid getViewer()

      The TreeGrid on which the contextclick occurred.
      Returns:
        The TreeGrid on which the contextclick occurred.

    - #### getNode

          public TreeNode getNode()

      The node (record) on which the contextclick occurred.
      Returns:
        The node (record) on which the contextclick occurred.

    - #### getRecordNum

          public int getRecordNum()

      Index of the row where the contextclick occurred.
      Returns:
        Index of the row where the contextclick occurred.